Package twisted :: Package web :: Module twcgi

[show private | hide private]
[frames | no frames]

## Module twisted.web.twcgi

I hold resource classes and helper classes that deal with CGI scripts.

Classes
`CGIDirectory` |
`CGIProcessProtocol` |
`CGIScript` | I represent a CGI script.
`FilteredScript` | I am a special version of a CGI script, that uses a specific executable.
`PHP3Script` | I am a FilteredScript that uses the default PHP3 command on most systems.
`PHPScript` | I am a FilteredScript that uses the PHP command on most systems.

Variable Summary
`int` | `NOT_DONE_YET`
`SelectReactor` | `reactor`

Variable Details

### NOT_DONE_YET

  Type:
    `int`
  Value:

        1

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:19:09 2003 | http://epydoc.sf.net